Skip to main content
GET
Retrieve a file

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The Lead-issued file id returned by POST /v2/files. Lead-issued identifier of the file, from POST /v2/files.

Pattern: ^file_\w+$
Example:

"file_7RwQ2mK9pL4xT1vN8jS5"

Response

The file's metadata.

id
string

Unique ID of the file. Use this to link the file to Entity, Application and User Account objects.

Example:

"file_7RwQ2mK9pL4xT1vN8jS5"

uploaded_by
enum<string>

Who created the file. Set by Lead, not declarable on upload.

  • partner: created by you through the files API.
  • lead: reserved for files Lead itself creates.
Available options:
partner,
lead
Example:

"partner"

file_name
string

The filename you declared, taken from the uploaded part's filename header.

Maximum string length: 255
Example:

"loan_agreement_acct_4471.pdf"

type
string

The file's type. Must be a valid enum.

The accepted values are grouped by the object the file can be linked to.

Application and User Account

aan, ach_authorization, autopay_authorization, bo_certification, cardholder_agreement, consent_to_link_account, consent_to_link_hsa, consumer_credit_auth, credit_pull_consent, credit_score_notice, decision_maker_document, deposit_agreement, eft_authorization, esign_agreement, fcra_notice, lead_funds_transfer_agreement, lead_privacy_policy, loan_agreement, loc_agreement, missed_payments_policy, mla_notice, negative_option_consent, notice_of_incompleteness, offer_summary, partner_privacy_policy, patriot_act_notice, periodic_statement, personal_guarantee, pre_approval_terms, prohibited_industry_certification, tcpa_consent, terms_of_use, truth_in_lending_document

Entity — individual

adverse_media, bank_statement, drivers_license, financial_statement, id_selfie, investigation_report, matriculate_id, military_id, national_id, passport, permanent_residency_id, proof_of_address, public_records, state_or_provincial_id, utility_bills

Entity — business

adverse_media, bank_statement, certificate_of_good_standing, financial_statement, formation_document, id_selfie, investigation_report, partnership_agreement, proof_of_address, proof_of_place_on_stock_exchange, public_records, tax_certificate, tax_returns, utility_bills

Entity — sole prop

adverse_media, bank_statement, drivers_license, financial_statement, id_selfie, investigation_report, matriculate_id, military_id, name_certificate, national_id, passport, permanent_residency_id, proof_of_address, public_records, state_or_provincial_id, tax_certificate, tax_returns, utility_bills

Example:

"loan_agreement"

content_type
string

MIME type of the file (e.g., application/pdf), taken from the Content-Type header of the multipart file part.

Example:

"application/pdf"

size_bytes
integer<int64>

Size of the file in bytes.

Example:

184233

checksum
string

A SHA-256 checksum digest of the file bytes, computed by Lead as the file is received.

Example:

"9f86d081884c7d659a2feaa0c55ad015a3bf4f1b2b0b822cd15d6c15b0f00a08"

created_at
string<date-time>

The ISO-8601 timestamp at which the file was created.

Example:

"2026-09-14T14:22:01Z"

updated_at
string<date-time>

The ISO-8601 timestamp at which the file was last updated.

Example:

"2026-09-14T14:22:01Z"

metadata
object

A set of key-value pairs that can be used to store additional information related to this object.

Example: